Debian Bug report logs - #625914
linux-image-2.6.38-2-amd64: bridging is not interacting well with multicast in 2.6.38-4

version graph

Package: linux-2.6; Maintainer for linux-2.6 is Debian Kernel Team <debian-kernel@lists.debian.org>;

Reported by: Noah Meyerhans <noahm@debian.org>

Date: Fri, 6 May 2011 20:51:01 UTC

Severity: normal

Found in version 2.6.38-4

Done: Moritz Mühlenhoff <jmm@inutil.org>

Bug is archived. No further changes may be made.

Forwarded to bridge@lists.linux-foundation.org

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#625914; Package linux-2.6. (Fri, 06 May 2011 20:51:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Noah Meyerhans <noahm@debian.org>:
New Bug report received and forwarded. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Fri, 06 May 2011 20:51:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Noah Meyerhans <noahm@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: linux-image-2.6.38-2-amd64: bridging is not interacting well with multicast in 2.6.38-4
Date: Fri, 06 May 2011 13:12:34 -0700
Package: linux-2.6
Version: 2.6.38-3
Severity: normal

Hi. I've got a system that hosts several kvm virtual hosts.  The VMs
access the network via tap devices bridged with a physical interface.
After upgrading to linux-image-2.6.38-2-amd64_2.6.38-4, I noticed that
the virtualhosts were not autoconfiguring their IPv6 interfaces.
Debugging revealed that no multicast was passing over the bridge.

The bridge configuration is:
bridge name     bridge id               STP enabled     interfaces
br0             8000.0002e3080eb5       no              eth1
                                                        tap0
                                                        tap1
                                                        tap2

If I attach tcpdump to br0, I can see multicast (e.g. IPv6 Neighbor
Solicitation) packets.  However, if I attach tcpdump to eth1, I do not
see multicast packets sourced from one of the VMs.

Downgrading to 2.6.38-3 solves the problem.

noah

-- Package-specific info:
** Version:
Linux version 2.6.38-2-amd64 (Debian 2.6.38-3) (ben@decadent.org.uk) (gcc version 4.4.5 (Debian 4.4.5-15) ) #1 SMP Thu Apr 7 06:43:20 UTC 2011

** Command line:
BOOT_IMAGE=/vmlinuz root=UUID=c5ed1e31-1b76-44fa-a32d-12aa816c51eb ro quiet

** Not tainted

** Kernel log:
[ 1146.028039] <3>00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00  ................
[ 1146.028040] <3>00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00  ................
[ 1146.028042] <3>00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00  ................
[ 1146.028044] <3>00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00  ................
[ 1146.028046] <3>00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00  ................
[ 1146.028047] 
[ 1146.028050] radeon 0000:01:05.0: DVI-D-1: EDID block 0 invalid.
[ 1146.028053] [drm:radeon_dvi_detect] *ERROR* DVI-D-1: probed a monitor but no|invalid EDID
[ 1156.118932] [drm:drm_edid_block_valid] *ERROR* EDID checksum is invalid, remainder is 1
[ 1156.118936] [drm:drm_edid_block_valid] *ERROR* Raw EDID:
[ 1156.118939] <3>01 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00  ................
[ 1156.118941] <3>00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00  ................
[ 1156.118944] <3>00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00  ................
[ 1156.118946] <3>00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00  ................
[ 1156.118949] <3>00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00  ................
[ 1156.118951] <3>00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00  ................
[ 1156.118953] <3>00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00  ................
[ 1156.118956] <3>00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00  ................
[ 1156.118957] 
[ 1156.168710] [drm:drm_edid_block_valid] *ERROR* EDID checksum is invalid, remainder is 1
[ 1156.168712] [drm:drm_edid_block_valid] *ERROR* Raw EDID:
[ 1156.168715] <3>01 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00  ................
[ 1156.168717] <3>00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00  ................
[ 1156.168720] <3>00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00  ................
[ 1156.168722] <3>00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00  ................
[ 1156.168725] <3>00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00  ................
[ 1156.168727] <3>00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00  ................
[ 1156.168729] <3>00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00  ................
[ 1156.168732] <3>00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00  ................
[ 1156.168734] 
[ 1156.218447] [drm:drm_edid_block_valid] *ERROR* EDID checksum is invalid, remainder is 1
[ 1156.218450] [drm:drm_edid_block_valid] *ERROR* Raw EDID:
[ 1156.218452] <3>01 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00  ................
[ 1156.218454] <3>00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00  ................
[ 1156.218457] <3>00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00  ................
[ 1156.218459] <3>00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00  ................
[ 1156.218462] <3>00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00  ................
[ 1156.218464] <3>00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00  ................
[ 1156.218466] <3>00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00  ................
[ 1156.218469] <3>00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00  ................
[ 1156.218471] 
[ 1156.268287] [drm:drm_edid_block_valid] *ERROR* EDID checksum is invalid, remainder is 1
[ 1156.268289] [drm:drm_edid_block_valid] *ERROR* Raw EDID:
[ 1156.268292] <3>01 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00  ................
[ 1156.268294] <3>00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00  ................
[ 1156.268297] <3>00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00  ................
[ 1156.268299] <3>00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00  ................
[ 1156.268301] <3>00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00  ................
[ 1156.268304] <3>00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00  ................
[ 1156.268306] <3>00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00  ................
[ 1156.268309] <3>00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00  ................
[ 1156.268311] 
[ 1156.268314] radeon 0000:01:05.0: DVI-D-1: EDID block 0 invalid.
[ 1156.268318] [drm:radeon_dvi_detect] *ERROR* DVI-D-1: probed a monitor but no|invalid EDID
[ 1166.359685] [drm:drm_edid_block_valid] *ERROR* EDID checksum is invalid, remainder is 1
[ 1166.359695] [drm:drm_edid_block_valid] *ERROR* Raw EDID:
[ 1166.359703] <3>01 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00  ................
[ 1166.359710] <3>00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00  ................
[ 1166.359716] <3>00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00  ................
[ 1166.359722] <3>00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00  ................
[ 1166.359728] <3>00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00  ................
[ 1166.359734] <3>00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00  ................
[ 1166.359740] <3>00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00  ................
[ 1166.359746] <3>00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00  ................
[ 1166.359752] 
[ 1166.410400] [drm:drm_edid_block_valid] *ERROR* EDID checksum is invalid, remainder is 1
[ 1166.410407] [drm:drm_edid_block_valid] *ERROR* Raw EDID:
[ 1166.410413] <3>01 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00  ................
[ 1166.410420] <3>00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00  ................
[ 1166.410426] <3>00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00  ................
[ 1166.410433] <3>00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00  ................
[ 1166.410439] <3>00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00  ................
[ 1166.410445] <3>00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00  ................
[ 1166.410452] <3>00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00  ................
[ 1166.410458] <3>00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00  ................
[ 1166.410463] 
[ 1166.460944] [drm:drm_edid_block_valid] *ERROR* EDID checksum is invalid, remainder is 8
[ 1166.460951] [drm:drm_edid_block_valid] *ERROR* Raw EDID:
[ 1166.460957] <3>01 07 00 00 00 00 00 00 00 00 00 00 00 00 00 00  ................
[ 1166.460964] <3>00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00  ................
[ 1166.460970] <3>00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00  ................
[ 1166.460976] <3>00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00  ................
[ 1166.460983] <3>00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00  ................
[ 1166.460989] <3>00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00  ................
[ 1166.460995] <3>00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00  ................
[ 1166.461002] <3>00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00  ................
[ 1166.461007] 
[ 1166.511511] [drm:drm_edid_block_valid] *ERROR* EDID checksum is invalid, remainder is 2
[ 1166.511517] [drm:drm_edid_block_valid] *ERROR* Raw EDID:
[ 1166.511523] <3>01 00 00 00 01 00 00 00 00 00 00 00 00 00 00 00  ................
[ 1166.511530] <3>00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00  ................
[ 1166.511536] <3>00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00  ................
[ 1166.511542] <3>00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00  ................
[ 1166.511549] <3>00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00  ................
[ 1166.511555] <3>00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00  ................
[ 1166.511561] <3>00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00  ................
[ 1166.511568] <3>00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00  ................
[ 1166.511573] 
[ 1166.511581] radeon 0000:01:05.0: DVI-D-1: EDID block 0 invalid.
[ 1166.511589] [drm:radeon_dvi_detect] *ERROR* DVI-D-1: probed a monitor but no|invalid EDID

** Model information
sys_vendor: System manufacturer
product_name: System Product Name
product_version: System Version
chassis_vendor: Chassis Manufacture
chassis_version: Chassis Version
bios_vendor: American Megatrends Inc.
bios_version: 0206   
board_vendor: ASUSTeK Computer INC.
board_name: M2A74-AM
board_version: Rev X.0x

** Loaded modules:
Module                  Size  Used by
tun                    18084  5 
powernow_k8            17321  0 
mperf                  12411  1 powernow_k8
cpufreq_conservative    13878  0 
ip6table_filter        12540  0 
cpufreq_userspace      12576  0 
ip6_tables             21907  1 ip6table_filter
cpufreq_powersave      12454  0 
cpufreq_stats          12713  0 
iptable_filter         12536  0 
ip_tables              21818  1 iptable_filter
ebtable_nat            12580  0 
ebtables               26089  1 ebtable_nat
x_tables               18839  5 ip6table_filter,ip6_tables,iptable_filter,ip_tables,ebtables
ppdev                  12725  0 
lp                     17190  0 
sco                    17555  2 
bnep                   17424  2 
rfcomm                 32744  0 
l2cap                  40163  6 bnep,rfcomm
crc16                  12343  1 l2cap
bluetooth              55503  6 sco,bnep,rfcomm,l2cap
rfkill                 19014  2 bluetooth
binfmt_misc            12914  1 
kvm_amd                50543  6 
kvm                   259192  1 kvm_amd
fuse                   61520  1 
nfsd                  258505  13 
exportfs               12591  1 nfsd
nfs                   245941  0 
lockd                  66748  2 nfsd,nfs
fscache                36071  1 nfs
nfs_acl                12511  2 nfsd,nfs
auth_rpcgss            36692  2 nfsd,nfs
sunrpc                162075  19 nfsd,nfs,lockd,nfs_acl,auth_rpcgss
bridge                 65499  0 
stp                    12392  1 bridge
snd_hda_codec_via      52489  1 
snd_hda_intel          25946  0 
snd_hda_codec          63551  2 snd_hda_codec_via,snd_hda_intel
radeon                717227  2 
snd_hwdep              13148  1 snd_hda_codec
snd_pcm                67327  2 snd_hda_intel,snd_hda_codec
ttm                    52155  1 radeon
snd_seq                44678  0 
snd_timer              22658  2 snd_pcm,snd_seq
snd_seq_device         13155  1 snd_seq
snd                    52280  8 snd_hda_codec_via,snd_hda_intel,snd_hda_codec,snd_hwdep,snd_pcm,snd_seq,snd_timer,snd_seq_device
soundcore              13014  1 snd
edac_core              35344  0 
drm_kms_helper         26893  1 radeon
snd_page_alloc         12969  2 snd_hda_intel,snd_pcm
drm                   165567  4 radeon,ttm,drm_kms_helper
i2c_algo_bit           12834  1 radeon
parport_pc             22191  1 
power_supply           13475  1 radeon
parport                31650  3 ppdev,lp,parport_pc
i2c_piix4              12536  0 
i2c_core               19629  5 radeon,drm_kms_helper,drm,i2c_algo_bit,i2c_piix4
k10temp                12611  0 
shpchp                 31221  0 
pci_hotplug            26711  1 shpchp
edac_mce_amd           17103  0 
evdev                  17475  7 
wmi                    13202  0 
psmouse                55199  0 
asus_atk0110           17276  0 
pcspkr                 12579  0 
processor              27431  1 powernow_k8
tpm_tis                13125  0 
button                 12994  0 
tpm                    17726  1 tpm_tis
thermal_sys            17939  1 processor
tpm_bios               12903  1 tpm
serio_raw              12878  0 
ext3                  112218  1 
jbd                    41698  1 ext3
mbcache                12930  1 ext3
dm_mod                 62467  0 
raid10                 26243  0 
raid456                52187  0 
async_raid6_recov      12507  1 raid456
async_pq               12559  2 raid456,async_raid6_recov
raid6_pq               82523  2 async_raid6_recov,async_pq
async_xor              12385  3 raid456,async_raid6_recov,async_pq
xor                    12556  1 async_xor
async_memcpy           12350  2 raid456,async_raid6_recov
async_tx               12566  5 raid456,async_raid6_recov,async_pq,async_xor,async_memcpy
raid1                  26147  0 
raid0                  16985  0 
multipath              13009  0 
linear                 12807  0 
md_mod                 82494  6 raid10,raid456,raid1,raid0,multipath,linear
usbhid                 39900  0 
hid                    72616  1 usbhid
sg                     25769  0 
sr_mod                 21824  0 
sd_mod                 35501  3 
cdrom                  35134  1 sr_mod
crc_t10dif             12348  1 sd_mod
ata_generic            12479  0 
ahci                   25089  2 
libahci                22568  1 ahci
pata_atiixp            12689  0 
ohci_hcd               26400  0 
libata                147240  4 ata_generic,ahci,libahci,pata_atiixp
ehci_hcd               39529  0 
tulip                  47305  0 
scsi_mod              161457  4 sg,sr_mod,sd_mod,libata
r8169                  37209  0 
mii                    12634  1 r8169
usbcore               122908  4 usbhid,ohci_hcd,ehci_hcd
nls_base               12753  1 usbcore

** Network interface configuration:

iface lo inet loopback
auto lo

iface eth0 inet dhcp
auto eth0

auto eth1
iface eth1 inet manual

auto br0
iface br0 inet manual
    bridge_ports eth1
    bridge_maxwait 0


** Network status:
*** IP interfaces and addresses:
1: lo: <LOOPBACK,UP,LOWER_UP> mtu 16436 qdisc noqueue state UNKNOWN 
    link/loopback 00:00:00:00:00:00 brd 00:00:00:00:00:00
    inet 127.0.0.1/8 scope host lo
    inet6 ::1/128 scope host 
       valid_lft forever preferred_lft forever
2: eth0: <BROADCAST,MULTICAST,UP,LOWER_UP> mtu 1500 qdisc pfifo_fast state UP qlen 1000
    link/ether 00:26:18:20:48:8f brd ff:ff:ff:ff:ff:ff
    inet 192.168.0.201/24 brd 192.168.0.255 scope global eth0
    inet6 2001:470:8170:0:226:18ff:fe20:488f/64 scope global dynamic 
       valid_lft 586sec preferred_lft 286sec
    inet6 fe80::226:18ff:fe20:488f/64 scope link 
       valid_lft forever preferred_lft forever
3: eth1: <BROADCAST,MULTICAST,UP,LOWER_UP> mtu 1500 qdisc pfifo_fast state UNKNOWN qlen 1000
    link/ether 00:02:e3:08:0e:b5 brd ff:ff:ff:ff:ff:ff
4: br0: <BROADCAST,MULTICAST,UP,LOWER_UP> mtu 1500 qdisc noqueue state UNKNOWN 
    link/ether 00:02:e3:08:0e:b5 brd ff:ff:ff:ff:ff:ff
    inet6 2001:470:8170:0:202:e3ff:fe08:eb5/64 scope global dynamic 
       valid_lft 586sec preferred_lft 286sec
    inet6 fe80::202:e3ff:fe08:eb5/64 scope link 
       valid_lft forever preferred_lft forever
6: tap0: <BROADCAST,MULTICAST,UP,LOWER_UP> mtu 1500 qdisc pfifo_fast state UP qlen 500
    link/ether e2:f2:54:bf:59:0a brd ff:ff:ff:ff:ff:ff
    inet6 fe80::e0f2:54ff:febf:590a/64 scope link 
       valid_lft forever preferred_lft forever
7: tap1: <BROADCAST,MULTICAST,UP,LOWER_UP> mtu 1500 qdisc pfifo_fast state UP qlen 500
    link/ether b2:4a:ff:02:4a:4a brd ff:ff:ff:ff:ff:ff
    inet6 fe80::b04a:ffff:fe02:4a4a/64 scope link 
       valid_lft forever preferred_lft forever
8: tap2: <NO-CARRIER,BROADCAST,MULTICAST,UP> mtu 1500 qdisc pfifo_fast state DOWN qlen 500
    link/ether 6a:9b:57:59:23:4d brd ff:ff:ff:ff:ff:ff

*** Device statistics:
Inter-|   Receive                                                |  Transmit
 face |bytes    packets errs drop fifo frame compressed multicast|bytes    packets errs drop fifo colls carrier compressed
    lo:   11720     114    0    0    0     0          0         0    11720     114    0    0    0     0       0          0
  eth0:  291236    1830    0    0    0     0          0         0   488030    1500    0    0    0     0       0          0
  eth1:  192125     929    1    0    0     0          0         0   244967     966    2    0    0     0       2          0
   br0:   29047     200    0    0    0     0          0         0     9286      54    0    0    0     0       0          0
  tap0:  136901     686    0    0    0     0          0         0   195365     820    0    0    0     0       0          0
  tap1:  266106     750    0    0    0     0          0         0   174742     720    0    0    0     0       0          0
  tap2:       0       0    0    0    0     0          0         0        0       0    0    0    0     0       0          0

*** Protocol statistics:
Ip:
    498 total packets received
    2 with invalid addresses
    0 forwarded
    0 incoming packets discarded
    408 incoming packets delivered
    314 requests sent out
Icmp:
    1 ICMP messages received
    0 input ICMP message failed.
    ICMP input histogram:
        echo requests: 1
    1 ICMP messages sent
    0 ICMP messages failed
    ICMP output histogram:
        echo replies: 1
IcmpMsg:
        InType8: 1
        OutType0: 1
Tcp:
    9 active connections openings
    6 passive connection openings
    0 failed connection attempts
    0 connection resets received
    2 connections established
    1503 segments received
    1284 segments send out
    8 segments retransmited
    0 bad segments received.
    3 resets sent
Udp:
    210 packets received
    0 packets to unknown port received.
    0 packet receive errors
    139 packets sent
UdpLite:
TcpExt:
    5 TCP sockets finished time wait in fast timer
    15 delayed acks sent
    2 packets directly queued to recvmsg prequeue.
    381 packet headers predicted
    80 acknowledgments not containing data payload received
    976 predicted acknowledgments
    8 retransmits in slow start
    TCPSackShiftFallback: 1
IpExt:
    InMcastPkts: 118
    OutMcastPkts: 36
    InBcastPkts: 10
    InOctets: 137413
    OutOctets: 29732
    InMcastOctets: 16210
    OutMcastOctets: 6489
    InBcastOctets: 2938

*** Device features:
br0: 0x1800
eth0: 0x4180
eth1: 0x0
lo: 0x13865
tap0: 0x0
tap1: 0x0
tap2: 0x0

** PCI devices:
00:00.0 Host bridge [0600]: ATI Technologies Inc RS690 Host Bridge [1002:7911]
	Subsystem: ASUSTeK Computer Inc. Device [1043:82ee]
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap- 66MHz+ UDF- FastB2B- ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort+ >SERR- <PERR- INTx-
	Latency: 0

00:01.0 PCI bridge [0604]: ATI Technologies Inc RS690 PCI to PCI Bridge (Internal gfx) [1002:7912] (prog-if 00 [Normal decode])
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR+ FastB2B- DisINTx-
	Status: Cap+ 66MHz+ UDF- FastB2B- ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 64
	Bus: primary=00, secondary=01, subordinate=01, sec-latency=64
	I/O behind bridge: 0000c000-0000cfff
	Memory behind bridge: fbc00000-fbdfffff
	Prefetchable memory behind bridge: 00000000f0000000-00000000f7ffffff
	Secondary status: 66MHz+ FastB2B- ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- <SERR- <PERR-
	BridgeCtl: Parity- SERR+ NoISA- VGA+ MAbort- >Reset- FastB2B-
		PriDiscTmr- SecDiscTmr- DiscTmrStat- DiscTmrSERREn-
	Capabilities: <access denied>

00:06.0 PCI bridge [0604]: ATI Technologies Inc RS690 PCI to PCI Bridge (PCI Express Port 2) [1002:7916] (prog-if 00 [Normal decode])
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR+ FastB2B- DisINTx+
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0, Cache Line Size: 64 bytes
	Bus: primary=00, secondary=02, subordinate=02, sec-latency=0
	I/O behind bridge: 0000d000-0000dfff
	Memory behind bridge: fbe00000-fbefffff
	Secondary status: 66MHz- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- <SERR- <PERR-
	BridgeCtl: Parity+ SERR+ NoISA- VGA- MAbort- >Reset- FastB2B-
		PriDiscTmr- SecDiscTmr- DiscTmrStat- DiscTmrSERREn-
	Capabilities: <access denied>
	Kernel driver in use: pcieport

00:11.0 SATA controller [0106]: ATI Technologies Inc SB7x0/SB8x0/SB9x0 SATA Controller [IDE mode] [1002:4390] (prog-if 01 [AHCI 1.0])
	Subsystem: ASUSTeK Computer Inc. M3A78-EH Motherboard [1043:82ef]
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR+ FastB2B- DisINTx-
	Status: Cap+ 66MHz+ UDF- FastB2B- ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 64, Cache Line Size: 64 bytes
	Interrupt: pin A routed to IRQ 22
	Region 0: I/O ports at b000 [size=8]
	Region 1: I/O ports at a000 [size=4]
	Region 2: I/O ports at 9000 [size=8]
	Region 3: I/O ports at 8000 [size=4]
	Region 4: I/O ports at 7000 [size=16]
	Region 5: Memory at fbbff800 (32-bit, non-prefetchable) [size=1K]
	Capabilities: <access denied>
	Kernel driver in use: ahci

00:12.0 USB Controller [0c03]: ATI Technologies Inc SB7x0/SB8x0/SB9x0 USB OHCI0 Controller [1002:4397] (prog-if 10 [OHCI])
	Subsystem: ASUSTeK Computer Inc. M3A78-EH Motherboard [1043:82ef]
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR+ FastB2B- DisINTx-
	Status: Cap- 66MHz+ UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 64, Cache Line Size: 64 bytes
	Interrupt: pin A routed to IRQ 16
	Region 0: Memory at fbbfe000 (32-bit, non-prefetchable) [size=4K]
	Kernel driver in use: ohci_hcd

00:12.1 USB Controller [0c03]: ATI Technologies Inc SB7x0 USB OHCI1 Controller [1002:4398] (prog-if 10 [OHCI])
	Subsystem: ASUSTeK Computer Inc. M3A78-EH Motherboard [1043:82ef]
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV+ VGASnoop- ParErr- Stepping- SERR+ FastB2B- DisINTx-
	Status: Cap- 66MHz+ UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 64, Cache Line Size: 64 bytes
	Interrupt: pin A routed to IRQ 16
	Region 0: Memory at fbbfd000 (32-bit, non-prefetchable) [size=4K]
	Kernel driver in use: ohci_hcd

00:12.2 USB Controller [0c03]: ATI Technologies Inc SB7x0/SB8x0/SB9x0 USB EHCI Controller [1002:4396] (prog-if 20 [EHCI])
	Subsystem: ASUSTeK Computer Inc. M3A78-EH Motherboard [1043:82ef]
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV+ VGASnoop- ParErr- Stepping- SERR+ FastB2B- DisINTx-
	Status: Cap+ 66MHz+ UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 64, Cache Line Size: 64 bytes
	Interrupt: pin B routed to IRQ 17
	Region 0: Memory at fbbff000 (32-bit, non-prefetchable) [size=256]
	Capabilities: <access denied>
	Kernel driver in use: ehci_hcd

00:13.0 USB Controller [0c03]: ATI Technologies Inc SB7x0/SB8x0/SB9x0 USB OHCI0 Controller [1002:4397] (prog-if 10 [OHCI])
	Subsystem: ASUSTeK Computer Inc. M3A78-EH Motherboard [1043:82ef]
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR+ FastB2B- DisINTx-
	Status: Cap- 66MHz+ UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 64, Cache Line Size: 64 bytes
	Interrupt: pin A routed to IRQ 18
	Region 0: Memory at fbbfc000 (32-bit, non-prefetchable) [size=4K]
	Kernel driver in use: ohci_hcd

00:13.1 USB Controller [0c03]: ATI Technologies Inc SB7x0 USB OHCI1 Controller [1002:4398] (prog-if 10 [OHCI])
	Subsystem: ASUSTeK Computer Inc. M3A78-EH Motherboard [1043:82ef]
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV+ VGASnoop- ParErr- Stepping- SERR+ FastB2B- DisINTx-
	Status: Cap- 66MHz+ UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 64, Cache Line Size: 64 bytes
	Interrupt: pin A routed to IRQ 18
	Region 0: Memory at fbbfb000 (32-bit, non-prefetchable) [size=4K]
	Kernel driver in use: ohci_hcd

00:13.2 USB Controller [0c03]: ATI Technologies Inc SB7x0/SB8x0/SB9x0 USB EHCI Controller [1002:4396] (prog-if 20 [EHCI])
	Subsystem: ASUSTeK Computer Inc. M3A78-EH Motherboard [1043:82ef]
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV+ VGASnoop- ParErr- Stepping- SERR+ FastB2B- DisINTx-
	Status: Cap+ 66MHz+ UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 64, Cache Line Size: 64 bytes
	Interrupt: pin B routed to IRQ 19
	Region 0: Memory at fbbfa800 (32-bit, non-prefetchable) [size=256]
	Capabilities: <access denied>
	Kernel driver in use: ehci_hcd

00:14.0 SMBus [0c05]: ATI Technologies Inc SBx00 SMBus Controller [1002:4385] (rev 3a)
	Subsystem: ASUSTeK Computer Inc. M3A78-EH Motherboard [1043:82ef]
	Control: I/O+ Mem+ BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx+
	Status: Cap+ 66MHz+ UDF- FastB2B- ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Capabilities: <access denied>

00:14.1 IDE interface [0101]: ATI Technologies Inc SB7x0/SB8x0/SB9x0 IDE Controller [1002:439c] (prog-if 8a [Master SecP PriP])
	Subsystem: ASUSTeK Computer Inc. M3A78-EH Motherboard [1043:82ef]
	Control: I/O+ Mem- BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz+ UDF- FastB2B- ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 64
	Interrupt: pin A routed to IRQ 16
	Region 0: I/O ports at 01f0 [size=8]
	Region 1: I/O ports at 03f4 [size=1]
	Region 2: I/O ports at 0170 [size=8]
	Region 3: I/O ports at 0374 [size=1]
	Region 4: I/O ports at ff00 [size=16]
	Capabilities: <access denied>
	Kernel driver in use: pata_atiixp

00:14.2 Audio device [0403]: ATI Technologies Inc SBx00 Azalia (Intel HDA) [1002:4383]
	Subsystem: ASUSTeK Computer Inc. Device [1043:837f]
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=slow >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 64, Cache Line Size: 64 bytes
	Interrupt: pin ? routed to IRQ 16
	Region 0: Memory at fbbf4000 (64-bit, non-prefetchable) [size=16K]
	Capabilities: <access denied>
	Kernel driver in use: HDA Intel

00:14.3 ISA bridge [0601]: ATI Technologies Inc SB7x0/SB8x0/SB9x0 LPC host controller [1002:439d]
	Subsystem: ASUSTeK Computer Inc. M3A78-EH Motherboard [1043:82ef]
	Control: I/O+ Mem+ BusMaster+ SpecCycle+ MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap- 66MHz+ UDF- FastB2B- ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0

00:14.4 PCI bridge [0604]: ATI Technologies Inc SBx00 PCI to PCI Bridge [1002:4384] (prog-if 01 [Subtractive decode])
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR+ FastB2B- DisINTx-
	Status: Cap- 66MHz+ UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 64
	Bus: primary=00, secondary=03, subordinate=03, sec-latency=64
	I/O behind bridge: 0000e000-0000efff
	Memory behind bridge: fbf00000-fbffffff
	Secondary status: 66MHz- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort+ <SERR- <PERR-
	BridgeCtl: Parity+ SERR+ NoISA- VGA- MAbort- >Reset- FastB2B-
		PriDiscTmr- SecDiscTmr- DiscTmrStat- DiscTmrSERREn-

00:14.5 USB Controller [0c03]: ATI Technologies Inc SB7x0/SB8x0/SB9x0 USB OHCI2 Controller [1002:4399] (prog-if 10 [OHCI])
	Subsystem: ASUSTeK Computer Inc. M3A78-EH Motherboard [1043:82ef]
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR+ FastB2B- DisINTx-
	Status: Cap- 66MHz+ UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 64, Cache Line Size: 64 bytes
	Interrupt: pin C routed to IRQ 18
	Region 0: Memory at fbbf9000 (32-bit, non-prefetchable) [size=4K]
	Kernel driver in use: ohci_hcd

00:18.0 Host bridge [0600]: Advanced Micro Devices [AMD] Family 10h Processor HyperTransport Configuration [1022:1200]
	Control: I/O- Mem- BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Capabilities: <access denied>

00:18.1 Host bridge [0600]: Advanced Micro Devices [AMD] Family 10h Processor Address Map [1022:1201]
	Control: I/O- Mem- BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap- 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-

00:18.2 Host bridge [0600]: Advanced Micro Devices [AMD] Family 10h Processor DRAM Controller [1022:1202]
	Control: I/O- Mem- BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap- 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-

00:18.3 Host bridge [0600]: Advanced Micro Devices [AMD] Family 10h Processor Miscellaneous Control [1022:1203]
	Control: I/O- Mem- BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Capabilities: <access denied>
	Kernel driver in use: k10temp

00:18.4 Host bridge [0600]: Advanced Micro Devices [AMD] Family 10h Processor Link Control [1022:1204]
	Control: I/O- Mem- BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap- 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-

01:05.0 VGA compatible controller [0300]: ATI Technologies Inc Radeon 2100 [1002:796e] (prog-if 00 [VGA controller])
	Subsystem: ASUSTeK Computer Inc. Device [1043:835b]
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR+ FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 64, Cache Line Size: 64 bytes
	Interrupt: pin A routed to IRQ 18
	Region 0: Memory at f0000000 (64-bit, prefetchable) [size=128M]
	Region 2: Memory at fbdf0000 (64-bit, non-prefetchable) [size=64K]
	Region 4: I/O ports at c000 [size=256]
	Region 5: Memory at fbc00000 (32-bit, non-prefetchable) [size=1M]
	Expansion ROM at <unassigned> [disabled]
	Capabilities: <access denied>
	Kernel driver in use: radeon

02:00.0 Ethernet controller [0200]: Realtek Semiconductor Co., Ltd. RTL8111/8168B PCI Express Gigabit Ethernet controller [10ec:8168] (rev 01)
	Subsystem: ASUSTeK Computer Inc. Device [1043:8385]
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR+ FastB2B- DisINTx+
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0, Cache Line Size: 64 bytes
	Interrupt: pin A routed to IRQ 41
	Region 0: I/O ports at d800 [size=256]
	Region 2: Memory at fbeff000 (64-bit, non-prefetchable) [size=4K]
	Expansion ROM at fbec0000 [disabled] [size=128K]
	Capabilities: <access denied>
	Kernel driver in use: r8169

03:06.0 Ethernet controller [0200]: Lite-On Communications Inc LNE100TX [11ad:0002] (rev 20)
	Subsystem: Netgear FA310TX [1385:f004]
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR+ FastB2B- DisINTx-
	Status: Cap- 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 64
	Interrupt: pin A routed to IRQ 20
	Region 0: I/O ports at e800 [size=256]
	Region 1: Memory at fbfffc00 (32-bit, non-prefetchable) [size=256]
	Expansion ROM at fbf80000 [disabled] [size=256K]
	Kernel driver in use: tulip


** USB devices:
Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
Bus 002 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
Bus 003 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 004 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 005 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 006 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 007 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 003 Device 002: ID 0472:0065 Chicony Electronics Co., Ltd PFU-65 Keyboard
Bus 004 Device 002: ID 046d:c00e Logitech, Inc. M-BJ58/M-BJ69 Optical Wheel Mouse
Bus 003 Device 003: ID 0472:0065 Chicony Electronics Co., Ltd PFU-65 Keyboard


-- System Information:
Debian Release: wheezy/sid
  APT prefers unstable
  APT policy: (996, 'unstable')
Architecture: i386 (x86_64)

Kernel: Linux 2.6.38-2-amd64 (SMP w/2 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages linux-image-2.6.38-2-amd64 depends on:
ii  debconf [debconf-2.0]         1.5.39     Debian configuration management sy
ii  initramfs-tools [linux-initra 0.98.8     tools for generating an initramfs
ii  linux-base                    3.2        Linux image base package
ii  module-init-tools             3.12-1     tools for managing Linux kernel mo

Versions of packages linux-image-2.6.38-2-amd64 recommends:
ii  firmware-linux-free           3          Binary firmware for various driver
ii  libc6-i686                    2.13-2     Embedded GNU C Library: Shared lib

Versions of packages linux-image-2.6.38-2-amd64 suggests:
ii  grub-pc                      1.99~rc1-13 GRand Unified Bootloader, version 
pn  linux-doc-2.6.38             <none>      (no description available)

Versions of packages linux-image-2.6.38-2-amd64 is related to:
pn  firmware-bnx2                 <none>     (no description available)
pn  firmware-bnx2x                <none>     (no description available)
pn  firmware-ipw2x00              <none>     (no description available)
pn  firmware-ivtv                 <none>     (no description available)
pn  firmware-iwlwifi              <none>     (no description available)
ii  firmware-linux                0.29       Binary firmware for various driver
ii  firmware-linux-nonfree        0.29       Binary firmware for various driver
pn  firmware-qlogic               <none>     (no description available)
pn  firmware-ralink               <none>     (no description available)
pn  xen-hypervisor                <none>     (no description available)

-- debconf information:
  linux-image-2.6.38-2-amd64/postinst/missing-firmware-2.6.38-2-amd64:
  linux-image-2.6.38-2-amd64/prerm/removing-running-kernel-2.6.38-2-amd64: true
  linux-image-2.6.38-2-amd64/postinst/ignoring-do-bootloader-2.6.38-2-amd64:
  linux-image-2.6.38-2-amd64/postinst/depmod-error-initrd-2.6.38-2-amd64: false




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#625914; Package linux-2.6. (Tue, 10 May 2011 02:42:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Hutchings <ben@decadent.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Tue, 10 May 2011 02:42:06 GMT) Full text and rfc822 format available.

Message #10 received at 625914@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: Noah Meyerhans <noahm@debian.org>
Cc: 625914@bugs.debian.org, netdev <netdev@vger.kernel.org>, bridge@lists.linux-foundation.org
Subject: Re: Bug#625914: linux-image-2.6.38-2-amd64: bridging is not interacting well with multicast in 2.6.38-4
Date: Tue, 10 May 2011 03:38:44 +0100
[Message part 1 (text/plain, inline)]
On Fri, 2011-05-06 at 13:12 -0700, Noah Meyerhans wrote:
> Package: linux-2.6
> Version: 2.6.38-3
> Severity: normal
> 
> Hi. I've got a system that hosts several kvm virtual hosts.  The VMs
> access the network via tap devices bridged with a physical interface.
> After upgrading to linux-image-2.6.38-2-amd64_2.6.38-4, I noticed that
> the virtualhosts were not autoconfiguring their IPv6 interfaces.
> Debugging revealed that no multicast was passing over the bridge.
> 
> The bridge configuration is:
> bridge name     bridge id               STP enabled     interfaces
> br0             8000.0002e3080eb5       no              eth1
>                                                         tap0
>                                                         tap1
>                                                         tap2
> 
> If I attach tcpdump to br0, I can see multicast (e.g. IPv6 Neighbor
> Solicitation) packets.  However, if I attach tcpdump to eth1, I do not
> see multicast packets sourced from one of the VMs.
> 
> Downgrading to 2.6.38-3 solves the problem.

This is pretty weird.  Debian version 2.6.38-3 has a few bridging
changes from stable 2.6.38.3 and 2.6.38.4, but they don't look like they
would cause this.

Ben.

-- 
Ben Hutchings
Once a job is fouled up, anything done to improve it makes it worse.
[signature.asc (application/pgp-signature, inline)]

Set Bug forwarded-to-address to 'bridge@lists.linux-foundation.org'. Request was from Ben Hutchings <ben@decadent.org.uk> to control@bugs.debian.org. (Tue, 10 May 2011 02:42:07 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#625914; Package linux-2.6. (Tue, 10 May 2011 03:27:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Stephen Hemminger <shemminger@vyatta.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Tue, 10 May 2011 03:27:03 GMT) Full text and rfc822 format available.

Message #17 received at 625914@bugs.debian.org (full text, mbox):

From: Stephen Hemminger <shemminger@vyatta.com>
To: Ben Hutchings <ben@decadent.org.uk>
Cc: Noah Meyerhans <noahm@debian.org>, 625914@bugs.debian.org, netdev <netdev@vger.kernel.org>, bridge@lists.linux-foundation.org
Subject: Re: Bug#625914: linux-image-2.6.38-2-amd64: bridging is not interacting well with multicast in 2.6.38-4
Date: Mon, 9 May 2011 20:15:28 -0700
On Tue, 10 May 2011 03:38:44 +0100
Ben Hutchings <ben@decadent.org.uk> wrote:

> On Fri, 2011-05-06 at 13:12 -0700, Noah Meyerhans wrote:
> > Package: linux-2.6
> > Version: 2.6.38-3
> > Severity: normal
> > 
> > Hi. I've got a system that hosts several kvm virtual hosts.  The VMs
> > access the network via tap devices bridged with a physical interface.
> > After upgrading to linux-image-2.6.38-2-amd64_2.6.38-4, I noticed that
> > the virtualhosts were not autoconfiguring their IPv6 interfaces.
> > Debugging revealed that no multicast was passing over the bridge.
> > 
> > The bridge configuration is:
> > bridge name     bridge id               STP enabled     interfaces
> > br0             8000.0002e3080eb5       no              eth1
> >                                                         tap0
> >                                                         tap1
> >                                                         tap2
> > 
> > If I attach tcpdump to br0, I can see multicast (e.g. IPv6 Neighbor
> > Solicitation) packets.  However, if I attach tcpdump to eth1, I do not
> > see multicast packets sourced from one of the VMs.
> > 
> > Downgrading to 2.6.38-3 solves the problem.
> 
> This is pretty weird.  Debian version 2.6.38-3 has a few bridging
> changes from stable 2.6.38.3 and 2.6.38.4, but they don't look like they
> would cause this.
> 
> Ben.

There are two possible explainations:
  1. In 2.6.37 and kernels the bridge uses IGMP snooping, there were several
     fixes to that in the stable kernel; especially related to IPv6.

  2. There was also a recent change to block link local multicast
     address. But that should impact what you are doing.




Bug Marked as found in versions 2.6.38-4. Request was from Noah Meyerhans <noahm@debian.org> to control@bugs.debian.org. (Tue, 10 May 2011 04:15:05 GMT) Full text and rfc822 format available.

Bug No longer marked as found in versions 2.6.38-3. Request was from Noah Meyerhans <noahm@debian.org> to control@bugs.debian.org. (Tue, 10 May 2011 04:15:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#625914; Package linux-2.6. (Tue, 10 May 2011 05:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Noah Meyerhans <noahm@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Tue, 10 May 2011 05:21:03 GMT) Full text and rfc822 format available.

Message #26 received at 625914@bugs.debian.org (full text, mbox):

From: Noah Meyerhans <noahm@debian.org>
To: Ben Hutchings <ben@decadent.org.uk>
Cc: 625914@bugs.debian.org, netdev <netdev@vger.kernel.org>, bridge@lists.linux-foundation.org
Subject: Re: Bug#625914: linux-image-2.6.38-2-amd64: bridging is not interacting well with multicast in 2.6.38-4
Date: Mon, 9 May 2011 21:38:33 -0700
[Message part 1 (text/plain, inline)]
On Tue, May 10, 2011 at 03:38:44AM +0100, Ben Hutchings wrote:
> This is pretty weird.  Debian version 2.6.38-3 has a few bridging
> changes from stable 2.6.38.3 and 2.6.38.4, but they don't look like they
> would cause this.

I have apparently filed the bug against the wrong version of Debian's
kernel.  2.6.38-3 is not affected, and works as expected.  The change
was introduced in -4.  That may have been clear from the report itself,
but the report was filed against -3.  I've fixed that in the BTS.

I've also confirmed that -5 is affected, to no great surprise.

I'll investigate further.

noah

[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#625914; Package linux-2.6. (Tue, 10 May 2011 12:45:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Hutchings <ben@decadent.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Tue, 10 May 2011 12:45:08 GMT) Full text and rfc822 format available.

Message #31 received at 625914@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: Noah Meyerhans <noahm@debian.org>
Cc: 625914@bugs.debian.org, netdev <netdev@vger.kernel.org>, bridge@lists.linux-foundation.org
Subject: Re: Bug#625914: linux-image-2.6.38-2-amd64: bridging is not interacting well with multicast in 2.6.38-4
Date: Tue, 10 May 2011 13:42:49 +0100
[Message part 1 (text/plain, inline)]
On Mon, 2011-05-09 at 21:38 -0700, Noah Meyerhans wrote:
> On Tue, May 10, 2011 at 03:38:44AM +0100, Ben Hutchings wrote:
> > This is pretty weird.  Debian version 2.6.38-3 has a few bridging
> > changes from stable 2.6.38.3 and 2.6.38.4, but they don't look like they
> > would cause this.
> 
> I have apparently filed the bug against the wrong version of Debian's
> kernel.  2.6.38-3 is not affected, and works as expected.  The change
> was introduced in -4.  That may have been clear from the report itself,
> but the report was filed against -3.  I've fixed that in the BTS.

I gathered that, and then made the same mistake in writing the above!
The version with the regression, 2.6.38-4, includes the changes from
stable 2.6.38.3 and 2.6.38.4

Ben.

> I've also confirmed that -5 is affected, to no great surprise.
> 
> I'll investigate further.
> 
> noah
> 

-- 
Ben Hutchings
Once a job is fouled up, anything done to improve it makes it worse.
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#625914; Package linux-2.6. (Tue, 10 May 2011 18:09:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Noah Meyerhans <noahm@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Tue, 10 May 2011 18:09:03 GMT) Full text and rfc822 format available.

Message #36 received at 625914@bugs.debian.org (full text, mbox):

From: Noah Meyerhans <noahm@debian.org>
To: Ben Hutchings <ben@decadent.org.uk>
Cc: 625914@bugs.debian.org, netdev <netdev@vger.kernel.org>, bridge@lists.linux-foundation.org
Subject: Re: Bug#625914: linux-image-2.6.38-2-amd64: bridging is not interacting well with multicast in 2.6.38-4
Date: Tue, 10 May 2011 11:05:40 -0700
[Message part 1 (text/plain, inline)]
On Tue, May 10, 2011 at 01:42:49PM +0100, Ben Hutchings wrote:
> > > This is pretty weird.  Debian version 2.6.38-3 has a few bridging
> > > changes from stable 2.6.38.3 and 2.6.38.4, but they don't look like they
> > > would cause this.
> > 
> > I have apparently filed the bug against the wrong version of Debian's
> > kernel.  2.6.38-3 is not affected, and works as expected.  The change
> > was introduced in -4.  That may have been clear from the report itself,
> > but the report was filed against -3.  I've fixed that in the BTS.
> 
> I gathered that, and then made the same mistake in writing the above!
> The version with the regression, 2.6.38-4, includes the changes from
> stable 2.6.38.3 and 2.6.38.4

With a little help from git bisect, I've tracked this regression down to
the following commit to the stable-2.6.38.y tree:

commit 5f1c356a3fadc0c19922d660da723b79bcc9aad7
Author: Herbert Xu <herbert@gondor.apana.org.au>
Date:   Fri Mar 18 05:27:28 2011 +0000

    bridge: Reset IPCB when entering IP stack on NF_FORWARD
    
    [ Upstream commit 6b1e960fdbd75dcd9bcc3ba5ff8898ff1ad30b6e ]
    
    Whenever we enter the IP stack proper from bridge netfilter we
    need to ensure that the skb is in a form the IP stack expects
    it to be in.
    
    The entry point on NF_FORWARD did not meet the requirements of
    the IP stack, therefore leading to potential crashes/panics.
    
    This patch fixes the problem.
    
    Signed-off-by: Herbert Xu <herbert@gondor.apana.org.au>
    Acked-by: Stephen Hemminger <shemminger@vyatta.com>
    Signed-off-by: David S. Miller <davem@davemloft.net>
    Signed-off-by: Greg Kroah-Hartman <gregkh@suse.de>

The diff is
diff --git a/net/bridge/br_netfilter.c b/net/bridge/br_netfilter.c
index 4b5b66d..49d50ea 100644
--- a/net/bridge/br_netfilter.c
+++ b/net/bridge/br_netfilter.c
@@ -741,6 +741,9 @@ static unsigned int br_nf_forward_ip(unsigned int
hook, struct sk_buff *skb,
                nf_bridge->mask |= BRNF_PKT_TYPE;
        }
 
+       if (br_parse_ip_options(skb))
+               return NF_DROP;
+
        /* The physdev module checks on this */
        nf_bridge->mask |= BRNF_BRIDGED;
        nf_bridge->physoutdev = skb->dev;

If I revert this change, network connectivity functions as expected for
the VMs on this host.

I don't know enough about this change or the problem it was supposed to
solve to be able to guess about what's going wrong.

noah

[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#625914; Package linux-2.6. (Tue, 10 May 2011 22:27:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Stephen Hemminger <shemminger@linux-foundation.org>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Tue, 10 May 2011 22:27:07 GMT) Full text and rfc822 format available.

Message #41 received at 625914@bugs.debian.org (full text, mbox):

From: Stephen Hemminger <shemminger@linux-foundation.org>
To: Noah Meyerhans <noahm@debian.org>
Cc: Ben Hutchings <ben@decadent.org.uk>, 625914@bugs.debian.org, bridge@lists.linux-foundation.org, netdev <netdev@vger.kernel.org>
Subject: Re: [Bridge] Bug#625914: linux-image-2.6.38-2-amd64: bridging is not interacting well with multicast in 2.6.38-4
Date: Tue, 10 May 2011 15:11:00 -0700
On Tue, 10 May 2011 11:05:40 -0700
Noah Meyerhans <noahm@debian.org> wrote:

> On Tue, May 10, 2011 at 01:42:49PM +0100, Ben Hutchings wrote:
> > > > This is pretty weird.  Debian version 2.6.38-3 has a few bridging
> > > > changes from stable 2.6.38.3 and 2.6.38.4, but they don't look like they
> > > > would cause this.
> > > 
> > > I have apparently filed the bug against the wrong version of Debian's
> > > kernel.  2.6.38-3 is not affected, and works as expected.  The change
> > > was introduced in -4.  That may have been clear from the report itself,
> > > but the report was filed against -3.  I've fixed that in the BTS.
> > 
> > I gathered that, and then made the same mistake in writing the above!
> > The version with the regression, 2.6.38-4, includes the changes from
> > stable 2.6.38.3 and 2.6.38.4
> 
> With a little help from git bisect, I've tracked this regression down to
> the following commit to the stable-2.6.38.y tree:
> 
> commit 5f1c356a3fadc0c19922d660da723b79bcc9aad7
> Author: Herbert Xu <herbert@gondor.apana.org.au>
> Date:   Fri Mar 18 05:27:28 2011 +0000
> 
>     bridge: Reset IPCB when entering IP stack on NF_FORWARD
>     
>     [ Upstream commit 6b1e960fdbd75dcd9bcc3ba5ff8898ff1ad30b6e ]
>     
>     Whenever we enter the IP stack proper from bridge netfilter we
>     need to ensure that the skb is in a form the IP stack expects
>     it to be in.
>     
>     The entry point on NF_FORWARD did not meet the requirements of
>     the IP stack, therefore leading to potential crashes/panics.
>     
>     This patch fixes the problem.
>     
>     Signed-off-by: Herbert Xu <herbert@gondor.apana.org.au>
>     Acked-by: Stephen Hemminger <shemminger@vyatta.com>
>     Signed-off-by: David S. Miller <davem@davemloft.net>
>     Signed-off-by: Greg Kroah-Hartman <gregkh@suse.de>
> 
> The diff is
> diff --git a/net/bridge/br_netfilter.c b/net/bridge/br_netfilter.c
> index 4b5b66d..49d50ea 100644
> --- a/net/bridge/br_netfilter.c
> +++ b/net/bridge/br_netfilter.c
> @@ -741,6 +741,9 @@ static unsigned int br_nf_forward_ip(unsigned int
> hook, struct sk_buff *skb,
>                 nf_bridge->mask |= BRNF_PKT_TYPE;
>         }
>  
> +       if (br_parse_ip_options(skb))
> +               return NF_DROP;
> +
>         /* The physdev module checks on this */
>         nf_bridge->mask |= BRNF_BRIDGED;
>         nf_bridge->physoutdev = skb->dev;
> 
> If I revert this change, network connectivity functions as expected for
> the VMs on this host.
> 
> I don't know enough about this change or the problem it was supposed to
> solve to be able to guess about what's going wrong.
> 
> noah
> 

There were two more follow on commits in stable related to this.
I recommend merging 2.6.38.6 which includes these.


-- 




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#625914; Package linux-2.6. (Tue, 10 May 2011 23:39:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Noah Meyerhans <noahm@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Tue, 10 May 2011 23:39:07 GMT) Full text and rfc822 format available.

Message #46 received at 625914@bugs.debian.org (full text, mbox):

From: Noah Meyerhans <noahm@debian.org>
To: Stephen Hemminger <shemminger@linux-foundation.org>
Cc: Ben Hutchings <ben@decadent.org.uk>, 625914@bugs.debian.org, bridge@lists.linux-foundation.org, netdev <netdev@vger.kernel.org>
Subject: Re: [Bridge] Bug#625914: linux-image-2.6.38-2-amd64: bridging is not interacting well with multicast in 2.6.38-4
Date: Tue, 10 May 2011 16:35:40 -0700
[Message part 1 (text/plain, inline)]
On Tue, May 10, 2011 at 03:11:00PM -0700, Stephen Hemminger wrote:
> There were two more follow on commits in stable related to this.
> I recommend merging 2.6.38.6 which includes these.

The problem still exists in the current 2.6.38.6.  Backing out 5f1c356a
still solves the problem there.

I have not yet tried anything outside the stable-2.6.38.y tree, but it
seems like these same changes are present there, and it's unlikely that
other releases will work any better.

noah

[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#625914; Package linux-2.6. (Thu, 12 May 2011 23:09:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to David Miller <davem@davemloft.net>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Thu, 12 May 2011 23:09:06 GMT) Full text and rfc822 format available.

Message #51 received at 625914@bugs.debian.org (full text, mbox):

From: David Miller <davem@davemloft.net>
To: noahm@debian.org
Cc: shemminger@linux-foundation.org, ben@decadent.org.uk, 625914@bugs.debian.org, bridge@lists.linux-foundation.org, netdev@vger.kernel.org
Subject: Re: [Bridge] Bug#625914: linux-image-2.6.38-2-amd64: bridging is not interacting well with multicast in 2.6.38-4
Date: Thu, 12 May 2011 15:59:16 -0700 (PDT)
From: Noah Meyerhans <noahm@debian.org>
Date: Tue, 10 May 2011 16:35:40 -0700

> On Tue, May 10, 2011 at 03:11:00PM -0700, Stephen Hemminger wrote:
>> There were two more follow on commits in stable related to this.
>> I recommend merging 2.6.38.6 which includes these.
> 
> The problem still exists in the current 2.6.38.6.  Backing out 5f1c356a
> still solves the problem there.
> 
> I have not yet tried anything outside the stable-2.6.38.y tree, but it
> seems like these same changes are present there, and it's unlikely that
> other releases will work any better.

So the issue is that if we back out that change, we get crashes.

Aparently there is a code path where whatever is existing in the
SKB ip options block matters, and needs to be maintained.

Someone needs to audit all of this and figure out how to fix the
problem properly.




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#625914; Package linux-2.6. (Thu, 12 May 2011 23:30:11 GMT) Full text and rfc822 format available.

Acknowledgement sent to Stephen Hemminger <shemminger@linux-foundation.org>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Thu, 12 May 2011 23:30:11 GMT) Full text and rfc822 format available.

Message #56 received at 625914@bugs.debian.org (full text, mbox):

From: Stephen Hemminger <shemminger@linux-foundation.org>
To: David Miller <davem@davemloft.net>
Cc: noahm@debian.org, ben@decadent.org.uk, 625914@bugs.debian.org, bridge@lists.linux-foundation.org, netdev@vger.kernel.org
Subject: Re: [Bridge] Bug#625914: linux-image-2.6.38-2-amd64: bridging is not interacting well with multicast in 2.6.38-4
Date: Thu, 12 May 2011 16:28:10 -0700
On Thu, 12 May 2011 15:59:16 -0700 (PDT)
David Miller <davem@davemloft.net> wrote:

> From: Noah Meyerhans <noahm@debian.org>
> Date: Tue, 10 May 2011 16:35:40 -0700
> 
> > On Tue, May 10, 2011 at 03:11:00PM -0700, Stephen Hemminger wrote:
> >> There were two more follow on commits in stable related to this.
> >> I recommend merging 2.6.38.6 which includes these.
> > 
> > The problem still exists in the current 2.6.38.6.  Backing out 5f1c356a
> > still solves the problem there.
> > 
> > I have not yet tried anything outside the stable-2.6.38.y tree, but it
> > seems like these same changes are present there, and it's unlikely that
> > other releases will work any better.
> 
> So the issue is that if we back out that change, we get crashes.
> 
> Aparently there is a code path where whatever is existing in the
> SKB ip options block matters, and needs to be maintained.
> 
> Someone needs to audit all of this and figure out how to fix the
> problem properly.
> --
> To unsubscribe from this list: send the line "unsubscribe netdev" in
> the body of a message to majordomo@vger.kernel.org
> More majordomo info at  http://vger.kernel.org/majordomo-info.html

I suspect tuntap is part of the problem. The skb may not be
allocated with enough padding or something like that. No guarantees
but will do some investigation.


-- 




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#625914; Package linux-2.6. (Thu, 12 May 2011 23:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Stephen Hemminger <shemminger@vyatta.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Thu, 12 May 2011 23:45:03 GMT) Full text and rfc822 format available.

Message #61 received at 625914@bugs.debian.org (full text, mbox):

From: Stephen Hemminger <shemminger@vyatta.com>
To: Noah Meyerhans <noahm@debian.org>
Cc: Ben Hutchings <ben@decadent.org.uk>, 625914@bugs.debian.org, bridge@lists.linux-foundation.org, netdev <netdev@vger.kernel.org>
Subject: Re: [Bridge] Bug#625914: linux-image-2.6.38-2-amd64: bridging is not interacting well with multicast in 2.6.38-4
Date: Thu, 12 May 2011 16:43:22 -0700
On Tue, 10 May 2011 16:35:40 -0700
Noah Meyerhans <noahm@debian.org> wrote:

> On Tue, May 10, 2011 at 03:11:00PM -0700, Stephen Hemminger wrote:
> > There were two more follow on commits in stable related to this.
> > I recommend merging 2.6.38.6 which includes these.
> 
> The problem still exists in the current 2.6.38.6.  Backing out 5f1c356a
> still solves the problem there.
> 
> I have not yet tried anything outside the stable-2.6.38.y tree, but it
> seems like these same changes are present there, and it's unlikely that
> other releases will work any better.

Does this fix the problem?  The tap driver allocates an skb and throws
it into the receive path, but the skb does not have the same padding
as normal skb's received.

--- a/drivers/net/tun.c	2011-05-12 16:36:15.231347935 -0700
+++ b/drivers/net/tun.c	2011-05-12 16:36:38.503464573 -0700
@@ -614,7 +614,7 @@ static __inline__ ssize_t tun_get_user(s
 	}
 
 	if ((tun->flags & TUN_TYPE_MASK) == TUN_TAP_DEV) {
-		align = NET_IP_ALIGN;
+		align = NET_IP_ALIGN + NET_SKB_PAD;
 		if (unlikely(len < ETH_HLEN ||
 			     (gso.hdr_len && gso.hdr_len < ETH_HLEN)))
 			return -EINVAL;

-- 




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#625914; Package linux-2.6. (Fri, 13 May 2011 05:06:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Noah Meyerhans <noahm@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Fri, 13 May 2011 05:06:03 GMT) Full text and rfc822 format available.

Message #66 received at 625914@bugs.debian.org (full text, mbox):

From: Noah Meyerhans <noahm@debian.org>
To: Stephen Hemminger <shemminger@vyatta.com>
Cc: Ben Hutchings <ben@decadent.org.uk>, 625914@bugs.debian.org, bridge@lists.linux-foundation.org, netdev <netdev@vger.kernel.org>
Subject: Re: [Bridge] Bug#625914: linux-image-2.6.38-2-amd64: bridging is not interacting well with multicast in 2.6.38-4
Date: Thu, 12 May 2011 22:03:02 -0700
[Message part 1 (text/plain, inline)]
On Thu, May 12, 2011 at 04:43:22PM -0700, Stephen Hemminger wrote:
> > > There were two more follow on commits in stable related to this.
> > > I recommend merging 2.6.38.6 which includes these.
> > 
> > The problem still exists in the current 2.6.38.6.  Backing out 5f1c356a
> > still solves the problem there.
> > 
> > I have not yet tried anything outside the stable-2.6.38.y tree, but it
> > seems like these same changes are present there, and it's unlikely that
> > other releases will work any better.
> 
> Does this fix the problem?  The tap driver allocates an skb and throws
> it into the receive path, but the skb does not have the same padding
> as normal skb's received.
> 
> --- a/drivers/net/tun.c	2011-05-12 16:36:15.231347935 -0700
> +++ b/drivers/net/tun.c	2011-05-12 16:36:38.503464573 -0700
> @@ -614,7 +614,7 @@ static __inline__ ssize_t tun_get_user(s
>  	}
>  
>  	if ((tun->flags & TUN_TYPE_MASK) == TUN_TAP_DEV) {
> -		align = NET_IP_ALIGN;
> +		align = NET_IP_ALIGN + NET_SKB_PAD;
>  		if (unlikely(len < ETH_HLEN ||
>  			     (gso.hdr_len && gso.hdr_len < ETH_HLEN)))
>  			return -EINVAL;
> 

Sorry, this does not fix the problem.

noah

[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#625914; Package linux-2.6. (Fri, 13 May 2011 18:06:57 GMT) Full text and rfc822 format available.

Acknowledgement sent to Stephen Hemminger <shemminger@linux-foundation.org>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Fri, 13 May 2011 18:06:57 GMT) Full text and rfc822 format available.

Message #71 received at 625914@bugs.debian.org (full text, mbox):

From: Stephen Hemminger <shemminger@linux-foundation.org>
To: Noah Meyerhans <noahm@debian.org>
Cc: Ben Hutchings <ben@decadent.org.uk>, 625914@bugs.debian.org, bridge@lists.linux-foundation.org, netdev <netdev@vger.kernel.org>
Subject: Re: [Bridge] Bug#625914: linux-image-2.6.38-2-amd64: bridging is not interacting well with multicast in 2.6.38-4
Date: Fri, 13 May 2011 11:03:26 -0700
On Tue, 10 May 2011 16:35:40 -0700
Noah Meyerhans <noahm@debian.org> wrote:

> On Tue, May 10, 2011 at 03:11:00PM -0700, Stephen Hemminger wrote:
> > There were two more follow on commits in stable related to this.
> > I recommend merging 2.6.38.6 which includes these.
> 
> The problem still exists in the current 2.6.38.6.  Backing out 5f1c356a
> still solves the problem there.
> 
> I have not yet tried anything outside the stable-2.6.38.y tree, but it
> seems like these same changes are present there, and it's unlikely that
> other releases will work any better.
> 
> noah
> 

Is this unique to the tap interfaces or does bridging multicast
not work for all devices?


-- 




Added tag(s) pending. Request was from Ben Hutchings <benh@alioth.debian.org> to control@bugs.debian.org. (Sun, 15 May 2011 14:09:09 GMT) Full text and rfc822 format available.

Removed tag(s) pending. Request was from Ben Hutchings <ben@decadent.org.uk> to control@bugs.debian.org. (Thu, 26 Jan 2012 05:39:08 GMT) Full text and rfc822 format available.

Reply sent to Moritz Mühlenhoff <jmm@inutil.org>:
You have taken responsibility. (Mon, 15 Jul 2013 17:09:32 GMT) Full text and rfc822 format available.

Notification sent to Noah Meyerhans <noahm@debian.org>:
Bug acknowledged by developer. (Mon, 15 Jul 2013 17:09:32 GMT) Full text and rfc822 format available.

Message #80 received at 625914-done@bugs.debian.org (full text, mbox):

From: Moritz Mühlenhoff <jmm@inutil.org>
To: 611732-done@bugs.debian.org, 614622-done@bugs.debian.org, 625914-done@bugs.debian.org, 607906-done@bugs.debian.org, 624343-done@bugs.debian.org, 641424-done@bugs.debian.org, 638659-done@bugs.debian.org, 631582-done@bugs.debian.org
Subject: Closing
Date: Mon, 15 Jul 2013 19:04:50 +0200
Hi,
your bug has been filed against the "linux-2.6" source package and was filed for
a kernel older than the recently released Debian 7.x / Wheezy with a severity
less than important.

We don't have the ressources to reproduce the complete backlog of all older kernel
bugs, so we're closing this bug for now. If you can reproduce the bug with Debian Wheezy
or a more recent kernel from testing or unstable, please reopen the bug by sending
a mail to control@bugs.debian.org with the following three commands included in the
mail:

reopen BUGNUMBER
reassign BUGNUMBER src:linux
thanks

Cheers,
        Moritz



Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 13 Aug 2013 07:26:52 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 23 08:12:46 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.